QwtLogTransform Class Reference

Logarithmic transformation. More...

`#include <qwt_transform.h>`

Inheritance diagram for QwtLogTransform:
[legend]

## Public Member Functions

| QwtLogTransform ()
| Constructor.
virtual | ~QwtLogTransform ()
| Destructor.
virtual double | transform (double value) const
virtual double | invTransform (double value) const
virtual double | bounded (double value) const
virtual QwtTransform * | copy () const
Public Member Functions inherited from QwtTransform
| QwtTransform ()
| Constructor.
virtual | ~QwtTransform ()
| Destructor.

## Public Attributes

QT_STATIC_CONST double | LogMin = 1.0e-150
| Smallest allowed value for logarithmic scales: 1.0e-150.
QT_STATIC_CONST double | LogMax = 1.0e150
| Largest allowed value for logarithmic scales: 1.0e150.

## Detailed Description

Logarithmic transformation.

QwtLogTransform modifies the values using log() and exp().

Note
  In the calculations of QwtScaleMap the base of the log function has no effect on the mapping. So QwtLogTransform can be used for log2(), log10() or any other logarithmic scale.

## Member Function Documentation

## bounded()

double QwtLogTransform::bounded | ( | double | value | ) | const

virtual

Parameters

  value | Value to be bounded

Returns
  qBound( LogMin, value, LogMax )

Reimplemented from QwtTransform.

## copy()

QwtTransform * QwtLogTransform::copy | ( |  | ) | const

virtual

Returns
  Clone of the transformation

Implements QwtTransform.

## invTransform()

double QwtLogTransform::invTransform | ( | double | value | ) | const

virtual

Parameters

  value | Value to be transformed

Returns
  exp( value )

Implements QwtTransform.

## transform()

double QwtLogTransform::transform | ( | double | value | ) | const

virtual

Parameters

  value | Value to be transformed

Returns
  log( value )

Implements QwtTransform.